package com.hfkj.service;

import com.hfkj.entity.BsOilPriceAdjustDate;
import com.hfkj.sysenum.OilPriceAdjustDateResultEnum;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @className: BsOilPriceAdjustDateService
 * @author: HuRui
 * @date: 2025/11/18
 **/
public interface BsOilPriceAdjustDateService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsOilPriceAdjustDate data);

    /**
     * 调价日结果
     * @param id
     * @param result
     */
    void result(Long id, OilPriceAdjustDateResultEnum result);

    /**
     * 删除
     * @param id
     */
    void del(Long id);

    /**
     * 查询详情
     * @param id
     */
    BsOilPriceAdjustDate getDetail(Long id);

    /**
     * 查询详情
     * @param date
     * @return
     */
    BsOilPriceAdjustDate getDetailByDate(Date date);

    /**
     * 下一个调价日
     * @return
     */
    BsOilPriceAdjustDate getNextPriceDate();

    /**
     * 当前执行的调价
     * @return
     */
    BsOilPriceAdjustDate getCurrentPriceDate();

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsOilPriceAdjustDate> getList(Map<String,Object> param);

}
